PSIRT Advisories

FortiWeb is vulnerable to a Format string vulnerability

Summary

A format string vulnerability in FortiWeb may allow an authenticated, remote attacker to read the content of memory and retrieve sensitive data via the redir parameter.

Affected Products

FortiWeb versions 6.3.5 and below.

Solutions

Please upgrade to FortiWeb versions 6.3.6 or above.

Acknowledgement

Fortinet is pleased to thank Andrey Medov from ptsecurity for reporting this vulnerability under responsible disclosure.